Package org.apache.ignite.internal.processors.query.stat.hll.serialization

## Interface IHLLMetadata

All Known Implementing Classes:
  `HLLMetadata`

    public interface IHLLMetadata

The metadata and parameters associated with a HLL.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `explicitAuto()`
`boolean` `explicitOff()`
`HLLType` `HLLType()`
`int` `log2ExplicitCutoff()`
`int` `registerCountLog2()`
`int` `registerWidth()`
`int` `schemaVersion()`
`boolean` `sparseEnabled()`

### Method Detail

#### schemaVersion

    int schemaVersion()

Returns:
  the schema version of the HLL. This will never be `null`.

#### HLLType

    HLLType HLLType()

Returns:
  the type of the HLL. This will never be `null`.

#### registerCountLog2

    int registerCountLog2()

Returns:
  the log-base-2 of the register count parameter of the HLL. This will always be greater than or equal to 4 and less than or equal to 31.

#### registerWidth

    int registerWidth()

Returns:
  the register width parameter of the HLL. This will always be greater than or equal to 1 and less than or equal to 8.

#### log2ExplicitCutoff

    int log2ExplicitCutoff()

Returns:
  the log-base-2 of the explicit cutoff cardinality. This will always be greater than or equal to zero and less than 31, per the specification.

#### explicitOff

    boolean explicitOff()

Returns:
  `true` if the `HLLType.EXPLICIT` representation has been disabled. `false` otherwise.

#### explicitAuto

    boolean explicitAuto()

Returns:
  `true` if the `HLLType.EXPLICIT` representation cutoff cardinality is set to be automatically chosen, `false` otherwise.

#### sparseEnabled

    boolean sparseEnabled()

Returns:
  `true` if the `HLLType.SPARSE` representation is enabled.